> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wattshift.com/llms.txt
> Use this file to discover all available pages before exploring further.

# url for today view



## OpenAPI

````yaml /api-reference/openapi.json post /v1/devices/hvac/{id}/today-url/generate
openapi: 3.0.0
info:
  title: WattShift API
  description: An API for the WattShift Service (https://wattshift.com/partners)
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/devices/hvac/{id}/today-url/generate:
    post:
      tags:
        - hvac
      summary: url for today view
      operationId: HvacApiKeyAuthController_generateTodayViewUrl_v1
      parameters:
        - name: x-ws-api-key
          in: header
          description: WattShift API Key
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TodayUrlGenerateResponseDto'
              example:
                url: https://onboarding.wattshift.com/today/abc123
      security:
        - x-ws-api-key: []
components:
  schemas:
    TodayUrlGenerateResponseDto:
      type: object
      properties:
        url:
          type: string
      required:
        - url
  securitySchemes:
    x-ws-api-key:
      type: apiKey
      in: header
      name: x-ws-api-key
      description: WattShift API key

````